<script setup>
import { onHide,onLaunch,onShow } from '@dcloudio/uni-app'
import { storeToRefs } from 'pinia'
import { useMainStore } from '@/store/store'
const main = useMainStore()
import { isWeixin,parseQuery } from '@/utils/util'
import cookie from '@/utils/cookie'
// import {
//   userAuthSession,
//   wechatAuth
// } from '@/api/auth'
import { APP_ID } from '@/config'

onLaunch(() => {
	console.log('App Launch')
})

onShow(() => {
   
	// 检查用户登录情况
	// #ifdef H5
	if(isWeixin()){
	
		// H5编译的代码
		// 判断是否是微信浏览器
		
		//oAuth()
		//return;
	}
	// #endif
	// #ifdef MP-WEIXIN
	//wechatMiniLogin();
	// #endif
})

onHide(() => {
   console.log('App Hide')
})





</script>

<style lang="scss">
@import '~@/static/style/app.scss';
//@import 'static/iconfont/iconfont.scss';
//@import url('./static/style/style.less');
@import 'static/style/yshop.css';

// /*每个页面公共css */
// page {
//   background-color: #f5f5f5;
// }
</style>
